# ApplicationFramework
TKTObj
TObj

# TObj_TXYZ Class Reference

`#include <TObj_TXYZ.hxx>`

Inheritance diagram for TObj_TXYZ:

[legend]

## Public Member Functions

Standard_EXPORT | TObj_TXYZ ()
| Standard methods of OCAF attribute Empty constructor.
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of TObj_TXYZ attribute.
Standard_EXPORT void | Set (const gp_XYZ &theXYZ)
| Sets the XYZ.
Standard_EXPORT gp_XYZ | Get () const
| Returns the XYZ.
Standard_EXPORT | Handle (TDF_Attribute) NewEmpty() const
| Returns an new empty TObj_TXYZ attribute. It is used by the copy algorithm.
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&theWith)
| Restores the backuped contents from <thewith> into this one. It is used when aborting a transaction.
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&theInto, const Handle(TDF_RelocationTable)&theRT) const
| This method is used when copying an attribute from a source structure into a target structure.
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &theOS) const
| This method dumps the attribute value into the stream.

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| This method is used in implementation of ID().
static Standard_EXPORT | Handle (TObj_TXYZ) Set(const TDF_Label &theLabel
| Creates attribute and sets the XYZ.

## Data Fields

static Standard_EXPORT const gp_XYZ & | theXYZ

## Private Attributes

gp_XYZ | myXYZ
| The object interface stored by the attribute.

## Constructor & Destructor Documentation

Standard_EXPORT TObj_TXYZ::TObj_TXYZ | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TObj_TXYZ::Dump | ( | Standard_OStream & | theOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT gp_XYZ TObj_TXYZ::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TObj_TXYZ::GetID | ( |  | ) | `[static]`

Standard_EXPORT TObj_TXYZ::Handle | ( | TDF_Attribute |  | ) | const

static Standard_EXPORT TObj_TXYZ::Handle | ( | TObj_TXYZ |  | ) | const`[static]`

Standard_EXPORT const Standard_GUID& TObj_TXYZ::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TObj_TXYZ::Paste | ( | const Handle(TDF_Attribute)& | theInto,
|  | const Handle(TDF_RelocationTable)& | theRT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TObj_TXYZ::Restore | ( | const Handle(TDF_Attribute)& | theWith | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TObj_TXYZ::Set | ( | const gp_XYZ & | theXYZ | ) |

## Field Documentation

gp_XYZ TObj_TXYZ::myXYZ `[private]`

Standard_EXPORT const gp_XYZ& TObj_TXYZ::theXYZ

The documentation for this class was generated from the following file:

- TObj_TXYZ.hxx